Bug 129634 - Version is wrong in xcomposite.pc, xdamage.pc, xfixes.pc
Version is wrong in xcomposite.pc, xdamage.pc, xfixes.pc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 03:47 EDT by sangu
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 01:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2004-08-11 03:47:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040625 Epiphany/1.3.4

Description of problem:
In xcompsite.pc, xdamage.pc, xfixes.pc 

Version: @PACKAGE_VERSION@

Version-Release number of selected component (if applicable):
xorg-x11-devel-6.7.99.0-0.2004_08_05.1

How reproducible:
Always

Steps to Reproduce:
1. ./configure --enable-compositor in metacity 2.8.2 sources directory
2. Error messages print.

CompositeExt support forced on
Building with CompositeExt
checking for gtk+-2.0 >= 2.2.0 pango >= 1.2.0 gconf-2.0 >= 1.2.0
libstartup-notification-1.0 >= 0.7 xcomposite >= 1.0 xfixes xrender
xdamage... Requested 'xcomposite >= 1.0' but version of Xdamage is
@PACKAGE_VERSION@

configure: error: Library requirements (gtk+-2.0 >= 2.2.0 pango >=
1.2.0 gconf-2.0 >= 1.2.0 libstartup-notification-1.0 >= 0.7 xcomposite
>= 1.0 xfixes xrender xdamage) not met; consider adjusting the
PKG_CONFIG_PATH environment variable if your libraries are in a
nonstandard prefix so pkg-config can find them.

   

Actual Results:  Can't enable composite option in metacity.

Additional info:

metacity version 2.8.2
Comment 1 Mike A. Harris 2004-08-11 04:12:08 EDT
Can you please report this to xorg bugzilla at:
http://bugs.freedesktop.org in the xorg component, as this is
more of an upstream xorg bug than an rpm packaging or upgrade
related problem.

Paste the URL here for the upstream bug, and I'll track it, and
we can ensure xorg 6.8.0 has this fixed prior to release.

Thanks for testing!

Comment 3 Kristian Høgsberg 2004-08-11 09:20:41 EDT
This is fixed in the 6.7.99.1 pre-release.
Comment 4 Mike A. Harris 2004-10-07 01:21:46 EDT
Fixed in rawhide xorg 6.8.1 as well.  Closing as "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.